Bug 1697510 - Compute resource vms resource switcher doesn't work as expected.
Summary: Compute resource vms resource switcher doesn't work as expected.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources
Version: Nightly
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-08 14:38 UTC by Shira Maximov
Modified: 2020-05-04 17:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 17:08:26 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1717403 0 unspecified CLOSED Broken breadcrumbs link to compute resource VM list on VM detail page 2021-02-22 00:41:40 UTC

Description Shira Maximov 2019-04-08 14:38:23 UTC
Description of problem:

When trying to navigate from a VM using its breadcrumbs an error is shown on the log, and navigation doesn't work:

12:02:07 rails.1 | 2018-11-27T12:02:07 [I|app|266a8] Rendering compute_resources_vms/show.html.erb within layouts/application
12:02:07 rails.1 | 2018-11-27T12:02:07 [I|app|266a8] Rendered /home/masayag/work/foreman_kubevirt/app/views/compute_resources_vms/show/_kubevirt.html.erb (5.2ms)
12:02:07 rails.1 | 2018-11-27T12:02:07 [I|app|266a8] Rendered compute_resources_vms/show.html.erb within layouts/application (17.0ms)
12:02:07 rails.1 | 2018-11-27T12:02:07 [W|app|266a8] unable to detect breadcrumb title name in for compute_resources_vms, defaulting to name
12:02:07 rails.1 | 2018-11-27T12:02:07 [D|app|266a8] <NameError> Could not find resource class for resource compute_resources_vm
12:02:07 rails.1 | /home/masayag/work/foreman/app/controllers/concerns/find_common.rb:31:in `resource_class'
12:02:07 rails.1 | /home/masayag/work/foreman/app/services/breadcrumbs_options.rb:23:in `resource_class'
12:02:07 rails.1 | /home/masayag/work/foreman/app/services/breadcrumbs_options.rb:68:in `model_name_field'
12:02:07 rails.1 | /home/masayag/work/foreman/app/services/breadcrumbs_options.rb:81:in `resource'
12:02:07 rails.1 | /home/masayag/work/foreman/app/services/breadcrumbs_options.rb:16:in `bar_props'
12:02:07 rails.1 | /home/masayag/work/foreman/app/helpers/layout_helper.rb:83:in `mount_breadcrumbs'


Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. Navigate to a compute resource
2. Select virtual machines and then select a specific VM
3. Navigate from a VM using its breadcrumbs

Actual results:
Error: Unable to load resources.


Expected results:


Additional info:

Comment 3 Marek Hulan 2019-07-23 08:53:58 UTC
This talks rather about resource switcher (Unable to load resources), breadcrumbs issue is tracked under BZ 1717403. It may be fixed by the same PR, but I guess we want to hide resource switcher on this page, while we want to fix breadcrumbs link to navigate back to CR VMs list page.

Comment 4 Bryan Kearney 2020-05-01 14:22:41 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 5 Bryan Kearney 2020-05-04 17:08:26 UTC
We believe this was fixed in Satellite 6.7. If you are still seeing issues, please feel free to open a new BZ.


Note You need to log in before you can comment on or make changes to this bug.